Bug 1794754 - Endpoints missing description and schema on Explore page
Summary: Endpoints missing description and schema on Explore page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.4.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks: 1794925
TreeView+ depends on / blocked
 
Reported: 2020-01-24 14:34 UTC by Samuel Padgett
Modified: 2020-05-04 11:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the OpenShift console Explore page was missing API documentation for the Endpoints resource. The API documentation for Endpoints now correctly appears.
Clone Of:
: 1794925 (view as bug list)
Environment:
Version: 4.4.0-0.ci-2020-01-23-103905 Cluster ID: 926c093d-8c54-4d53-b23d-f8c570a35c66 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:72.0) Gecko/20100101 Firefox/72.0
Last Closed: 2020-05-04 11:26:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 4062 0 None closed Bug 1794754: correctly show schema information for all core resources 2021-01-23 05:13:04 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:27:05 UTC

Description Samuel Padgett 2020-01-24 14:34:56 UTC
The Endpoints resource and a handful of other types with no API group are missing descriptions and API schema information in the console.

Comment 2 XiaochuanWang 2020-02-04 06:04:19 UTC
Resources with no API group have description and API schema information now.

Verified on 4.4.0-0.nightly-2020-02-02-225006

Comment 4 errata-xmlrpc 2020-05-04 11:26:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.